Skip to navigation

List billing invoices

View as Markdown

Retrieves a list of invoices for the account. If the from date or to date queries are not specified, the response returns invoices for the last 365 days.

Privileges required: account administrator

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

from_datestringOptional

Specifies the date/time of the earliest invoice in the account to retrieve.

to_datestringOptional

Specifies the date/time of the latest invoice in the account to retrieve.

Response

Successful response.
billingInvoiceslist of objectsOptional
Reserved for Docusign.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

Errors

400
Bad Request Error